Dada2 Error Return Code -9, Paired-End Seqs

Hello,
I have been getting the following error after the denoising step:
(Plugin error from dada2:

An error was encountered while running DADA2 in R** (return code -9)**, please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-n3qt2be9.log)

I use this command:
((qiime2-2019.4) [email protected]:~/qiime2-atacama-tutorial$ qiime dada2 denoise-paired --i-demultiplexed-seqs demux.qza --p-trim-left-f 13 --p-trim-left-r 13 --p-trunc-len-f 150 --p-trunc-len-r 150 --o-table table.qza --o-representative-sequences rep-seqs.qza --o-denoising-stats denoising-stats.qza)

and this is the log:
(Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp3pinuyd0/forward /tmp/tmp3pinuyd0/reverse /tmp/tmp3pinuyd0/output.tsv.biom /tmp/tmp3pinuyd0/track.tsv /tmp/tmp3pinuyd0/filt_f /tmp/tmp3pinuyd0/filt_r 150 150 13 13 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.1 / RcppParallel: 4.4.2

  1. Filtering The filter removed all reads: /tmp/tmp3pinuyd0/filt_f/YUN2029.3_65_L001_R1_001.fastq.gz and /tmp/tmp3pinuyd0/filt_r/YUN2029.3_65_L001_R2_001.fastq.gz not written.
    Some input samples had no reads pass the filter.
    …x…
  2. Learning Error Rates
    57982099 total bases in 423227 reads from 74 samples will be used for learning the error rates.
    Traceback (most recent call last):
    File “/home/richardliu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File “/home/richardliu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/richardliu/miniconda3/envs/qiime2-2019.4/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp3pinuyd0/forward’, ‘/tmp/tmp3pinuyd0/reverse’, ‘/tmp/tmp3pinuyd0/output.tsv.biom’, ‘/tmp/tmp3pinuyd0/track.tsv’, ‘/tmp/tmp3pinuyd0/filt_f’, ‘/tmp/tmp3pinuyd0/filt_r’, ‘150’, ‘150’, ‘13’, ‘13’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/richardliu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py”, line 311, in call
results = action(**arguments)
@@@
“/tmp/qiime2-q2cli-err-n3qt2be9.log” 36L, 2907C 1,1 Top
)
It would be great if anyone could guide me.
The qiime 2 version that am using is qiime2 2019.04
and the data is from https://docs.qiime2.org/2019.4/tutorials/atacama-soils/
@will @MSullivan @jairideout @thermokarst

Hi @richard1iu,
I’m not sure what’s going on here, but I’ll try my best to help you troubleshoot. :slight_smile:

It looks as though DADA2 is filtering out all of your reads, which could indicate a sequence quality issue.

How do the quality plots in your demux.qzv look when you run qiime demux summarize on your demuxed reads? And are the sequence counts reasonable?

If everything looks good there, you might try re-running DADA2 with the --verbose flag and sharing the output here to help us diagnose.

Good luck!
Chris

@richard1iu, a co-worker pointed out to me that your error message ends with a kill signal.

Is it possible you ran out of memory, or exceeded your allotted cluster usage?